# Method: projects.getAccessApprovalSettings

- [HTTP request](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/getAccessApprovalSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/getAccessApprovalSettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/getAccessApprovalSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/getAccessApprovalSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/getAccessApprovalSettings#body.aspect)

Gets the Access Approval settings associated with a project, folder, or organization.

### HTTP request

`GET https://accessapproval.googleapis.com/v1/{name=projects/*/accessApprovalSettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the AccessApprovalSettings to retrieve. Format: "{projects\|folders\|organizations}/{id}/accessApprovalSettings" Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `accessapproval.settings.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/AccessApprovalSettings`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).